#pragma once

#include "Widget.h"

class VerticalSpacer : public Widget
{

public:
    VerticalSpacer();

    static std::unique_ptr<VerticalSpacer> Create();

    void addWidget(WidgetUPtr widget) override;

    void addWidgetWithScale(WidgetUPtr widget, double scale);

private:
    void updateChildLocations() override;
    std::vector<double> mScales;
};

using VerticalSpacerUPtr = std::unique_ptr<VerticalSpacer>;
